org.eclipse.ecf.core.sharedobject

## Interface ISharedObjectConfig

All Known Implementing Classes:
  SOConfig

    public interface ISharedObjectConfig

Configuration information provided to ISharedObject via its enclosing ISharedObjectContainer

See Also:
  `ISharedObject.init(ISharedObjectConfig)`

### Method Summary

All Methods Instance Methods Abstract Methods
`ISharedObjectContext` `getContext()` Get the ISharedObjectContext instance for this ISharedObject.
`ID` `getHomeContainerID()` Get the ID of the container that is the home of the primary copy of the ISharedObject instance.
`Map<String,?>` `getProperties()` Get properties associated with with this ISharedObject
`ID` `getSharedObjectID()` Get the ID associated with this ISharedObject by its container.

### Method Detail

#### getSharedObjectID

    ID getSharedObjectID()

Get the ID associated with this ISharedObject by its container. Containers must provide an implementation of this configuration that provides a non-null ID instance in response to this method call.

Returns:
  ID that ISharedObject can use for imlementing its own ISharedObject.getID(). Will not be null.

#### getHomeContainerID

    ID getHomeContainerID()

Get the ID of the container that is the home of the primary copy of the ISharedObject instance.

Returns:
  the ID of the container that is the home of the primary copy of the ISharedObject instance. Will not be null.

#### getContext

    ISharedObjectContext getContext()

Get the ISharedObjectContext instance for this ISharedObject. The ISharedObjectContext provides access to container-provided services, including messaging to remote containers and to remote replicas of the ISharedObject, as well as access to OSGI-platform services.

Returns:
  ISharedObjectContext for the ISharedObject to use to access container and associated services. Will return null if context is no longer valid.

#### getProperties

    Map<String,?> getProperties()

Get properties associated with with this ISharedObject

Returns:
  Map with properties associated with this ISharedObject instance. Will not be null.